/**
 * 具体单价数据结构
 *
 * @author CaiAoLin
 * @date 2017/6/29
 * @version
 */
const mongoose = require('mongoose');
let deleteSchema = require('../all_schemas/delete_schema');
let Schema = mongoose.Schema;
let collectionName = 'unit_price_file';
let modelSchema = {
    // 自增id
    id: {
      type: Number,
      index: true
    },
    // 标段id
    project_id: {
        type: Number,
        index: true
    },
    // 显示名称
    name: String,
    // 所属用户id
    user_id: String,
    // 顶层projectId
    root_project_id: Number,
    deleteInfo: deleteSchema
};
mongoose.model(collectionName, new Schema(modelSchema, {versionKey: false, collection: collectionName}));